%define	name	ebits
%define	version	0.0.2
%define release 0.%{cvsrel}.1mdk

%define cvsrel 20030730

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d

Summary: Enlightened Canvas Image Bit Library
Name: %{name}
Version: %{version}
Release: %{release}
License: BSD
Group: Development/Other
URL: http://www.enlightenment.org/efm.html
Source: %{name}-%{cvsrel}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: libevas, libedb
BuildRequires: libevas-devel, libedb1-devel, freetype2-devel
Buildrequires: libMesaGLU1-devel XFree86-devel libjpeg62-devel

%description
The Ebits library provides layout functionality for 
graphical elements like window borders and is based 
on Evas. It defines the behavior of GUI elements when 
they are resized, callbacks to call when elements are 
activated and more. The GUI elements are stored in 
Edb databases.

%package -n %{libname}
Summary: Enlightened Image Bits Canvas Library
Group: Development/Other
Provides: lib%{name} = %{version}

%description -n %{libname}
The Ebits library provides layout functionality for
graphical elements like window borders and is based
on Evas. It defines the behavior of GUI elements when
they are resized, callbacks to call when elements are
activated and more. The GUI elements are stored in
Edb databases.

%package -n %{libnamedev}
Summary: Enlightened Image Bits Canvas Library headers and development libraries.
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}

%description -n %{libnamedev}
Ebits development files.

%prep
%setup -q -n %name

%build
if [ -e ./configure ]
then
  %configure
else
  ./autogen.sh --prefix=%{_prefix}
  %configure
fi

%make

%install

%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libebits.so.*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_libdir}/libebits.so
%{_libdir}/libebits.*a
%{_includedir}/Ebits.h
%{_bindir}/ebits-config

%changelog 
* Wed Jul 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.2-0.20030730.1mdk
- 20030730

* Tue Apr 29 2003  Lenny Cartier <lenny@mandrakesoft.com> 0.0.1-2mdk
- adjust buildrequires

* Fri Apr 11 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.1-1mdk
- 0.0.1

* Sat Dec 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> cvs20020821-2mdk
- rebuild for rpm and glibc

* Fri Aug 23 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> cvs20020821-2mdk
- fix invalid group detect by rpmlint

* Wed Aug 21 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> cvs20020821-1mdk
- 1st mdk package from Yves Mettier <ymettier@libertysurf.fr>
- mdk Adaptation
